/* Common Styles */
.p-40 {
  padding: 40px 0;
}
.fw-500 {
  font-weight: 500;
}
.fw-600 {
  font-weight: 600;
}
.border-btn {
  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
  letter-spacing: 0.01em;
  border: 1px solid #4836ff;
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding: 9px 30px;
  color: #4836ff;
  text-transform: uppercase;
  transition: transform 0.2s ease-in-out;
}
.border-btn:hover {
  border: 1px solid #4836ff;
  background: #4836ff;
  color: #fff;
  transition: all 0.3s ease;
}
.border-btn .icon-right-arrow-blue {
  transition: transform 0.2s ease-in-out;
}
.border-btn:hover .icon-right-arrow-blue {
  background: #ffffff;
  transition: transform 0.2s ease-in-out;
  transform: translateX(5px);
}
/* Common Styles End */

/* Events Banner */
.events-banner {
  position: relative;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 77px 0;
}
.events-banner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    91.56deg,
    #141136 -4.26%,
    rgba(74, 110, 164, 0.4) 127.91%
  );
}
.banner-wrapper {
  position: relative;
  z-index: 2;
}
.banner-wrapper h1 {
  font-size: 44px;
  line-height: 62px;
  letter-spacing: -1.12px;
  margin-bottom: 8px;
}
.banner-wrapper .sub-title {
  font-size: 24px;
  line-height: 36px;
  font-weight: 500;
  color: #38bdf8;
  margin-bottom: 16px;
}
.banner-wrapper .content {
  font-size: 18px;
  line-height: 28px;
  color: #cbd5e1;
  margin-bottom: 24px;
}
.banner-wrapper .square-blue-btn {
  padding: 10px 30px;
}
/* Events Banner End */

/* Upcoming Events */
.upcoming-events-block-image {
  border-radius: 24px 24px 0 0;
  overflow: hidden;
}
.upcoming-events-block-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.upcoming-events-block-content h4 {
  margin-bottom: 16px;
}
.icon-date {
  mask-image: url(../images/icon-calendar.svg);
  -webkit-mask-image: url(../images/icon-calendar.svg);
  width: 18px;
  height: 18px;
  background: #666666;
}
.icon-location {
  mask-image: url(../images/icon-location.svg);
  -webkit-mask-image: url(../images/icon-location.svg);
  width: 18px;
  height: 18px;
  background: #666666;
}
.icon-right-arrow-blue {
  mask-image: url(../images/icon-right-arrow-blue.svg);
  -webkit-mask-image: url(../images/icon-right-arrow-blue.svg);
  width: 16px;
  height: 16px;
  background: #4836ff;
}
.upcoming-events-block-para {
  margin-bottom: 16px;
}
.upcoming-events-block-content p {
  margin-bottom: 0;
}
.upcoming-events-block-content p.date,
.events-box p.date {
  margin-bottom: 11px;
}
.upcoming-events-block-content p,
.events-box p {
  gap: 12px;
}
.upcoming-events-block-content {
  padding: 24px;
  border: 1px solid #d8d8d8;
  border-radius: 0 0 24px 24px;
}
.upcoming-events .modal-dialog {
  max-width: 466px;
  margin: 0 auto;
}
.upcoming-events .modal-content {
  padding: 0;
  background-color: transparent;
  overflow: unset;
  border: 0;
}
.upcoming-events .modal-header {
  background: #ee7455;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  padding: 12px 32px;
}
.upcoming-events .modal-title p {
  color: #fff;
  font-size: 22px;
  line-height: 30px;
  font-weight: 500;
  text-align: center;
}
.upcoming-events .modal-body {
  padding: 24px;
  background: #fff;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
}
.upcoming-events .modal-content .btn-close {
  position: absolute;
  right: -15px;
  top: -15px;
  opacity: 1;
  margin: 0;
  z-index: 2;
  padding: 0;
  width: 40px;
  height: 40px;
  border-radius: 100%;
  background: #fff url(../images/modal-icon-close.svg) center / 14px auto
    no-repeat;
}
.upcoming-events .modal-body .form-group {
  margin: 0;
  margin-bottom: 16px;
}
.upcoming-events .modal-body input {
  width: 100%;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  color: #696969;
  padding: 10px 16px;
  border: 1px solid #d0d5db;
  border-radius: 4px;
  margin: 0;
}
.upcoming-events .event-contact-form-submit .square-blue-btn {
  background: linear-gradient(90deg, #392f91 0%, #4951a2 100%);
  color: #fff;
  height: auto;
  border: 0;
  font-weight: 500;
  transition: all 0.3s ease;
}
.upcoming-events .event-contact-form-submit .square-blue-btn:hover {
  background: linear-gradient(90deg, #4951a2 0%, #392f91 100%);
  transition: all 0.3s ease;
}
.upcoming-events .event-contact-form-submit p {
  position: relative;
}
.upcoming-events .event-contact-form-submit .wpcf7-spinner {
  opacity: 1;
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(90deg, #392f91 0%, #4951a2 100%);
  width: 100%;
  height: 100%;
  border-radius: 4px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.upcoming-events .event-contact-form-submit .wpcf7-spinner::before {
  content: "Loading...";
  animation: none;
  color: #ffffff;
  background-color: transparent;
  position: static;
  width: auto;
  height: auto;
  font-size: 16px;
  line-height: 24px;
  font-weight: 500;
  text-transform: uppercase;
}
.selection-label label {
  margin-bottom: 12px;
  font-size: 16px;
  line-height: 19px;
  font-weight: 500;
  color: #242424;
}
.event-contact-form-submit {
  margin-top: 8px;
}
.contact-form .flag-container {
  display: none;
}
.input_mobile {
  padding: 10px 16px !important;
}
.wpcf7-not-valid-tip {
  font-size: 14px;
}
/* Upcoming Events End */

/* Events List */
.events-list-slider {
  display: flex;
}
.events-box {
  background: linear-gradient(90deg, #392f91 0%, #4951a2 100%);
  padding: 60px 24px;
  max-height: 320px;
  height: 100%;
  border-radius: 12px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
}
.events-box img {
  margin-bottom: 24px;
}
.events-box .icon-date,
.events-box .icon-location {
  background: #fff;
  flex-shrink: 0;
}
.events-list-image-col {
  width: 424px;
  margin-right: 24px;
}
.events-list-image {
  border-radius: 12px;
  overflow: hidden;
}
.events-list-image img {
  width: 100%;
  height: 320px;
  object-fit: cover;
  border-radius: 12px;
}
.past-events-row {
  padding-bottom: 80px;
}
.past-events-row:last-child {
  padding-bottom: 0;
}
/* Events List End */

@media (max-width: 1200px) {
  /* Common Styles */
  .mb-40 {
    margin-bottom: 30px;
  }
  /* Common Styles End */

  /* Events Banner */
  .site-content {
    margin-top: 83px;
  }
  .events-banner {
    padding: 50px 0 70px 0;
  }
  .banner-wrapper h1 {
    font-size: 40px;
    line-height: 56px;
  }
  .banner-wrapper .sub-title {
    font-size: 22px;
    line-height: 34px;
    margin-bottom: 14px;
  }
  .banner-wrapper .content {
    font-size: 17px;
    line-height: 26px;
    margin-bottom: 20px;
  }
  .banner-wrapper .square-blue-btn {
    padding: 10px 26px;
  }
  /* Events Banner End */

  /* Upcoming Events */
  .events-list {
    padding-top: 0;
  }
  .past-events-row {
    padding-bottom: 40px;
  }
  .upcoming-events {
    margin-bottom: -24px;
  }
  .upcoming-events-col {
    margin-bottom: 24px;
  }
  .upcoming-events-block-image {
    border-radius: 20px 20px 0 0;
  }
  .upcoming-events-block-content {
    padding: 20px;
    border-radius: 0 0 20px 20px;
  }
  .events-list-image-col {
    width: 384px;
  }
  .events-list-image img {
    height: 300px;
  }
  .events-box img {
    margin-bottom: 20px;
  }
  /* Upcoming Events End */
}

@media (max-width: 991px) {
  /* Common Styles */
  .mb-40 {
    margin-bottom: 25px;
  }
  /* Common Styles End */

  /* Events Banner */
  .events-banner {
    padding: 40px 0 60px 0;
  }
  .banner-wrapper h1 {
    font-size: 36px;
    line-height: 50px;
  }
  .banner-wrapper .sub-title {
    font-size: 20px;
    line-height: 32px;
    margin-bottom: 12px;
  }
  .banner-wrapper .content {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 16px;
  }
  .banner-wrapper .square-blue-btn {
    padding: 9px 22px;
  }
  /* Events Banner End */

  /* Upcoming Events */
  .upcoming-events {
    margin-bottom: -24px;
  }
  .upcoming-events-block-image {
    border-radius: 16px 16px 0 0;
  }
  .upcoming-events-block-content {
    padding: 16px;
    border-radius: 0 0 16px 16px;
  }
  .upcoming-events-col {
    margin-bottom: 24px;
  }
  .events-box {
    padding: 50px 20px;
    max-height: 280px;
  }
  .events-list-image-col {
    width: 354px;
  }
  .events-list-image img {
    height: 280px;
  }
  .events-box img {
    margin-bottom: 16px;
  }
  .upcoming-events-block-content p, 
  .events-box p {
    font-size: 15px;
    line-height: 22px;
  }
  /* Upcoming Events End */
}

@media (max-width: 767px) {
  /* Common Styles */
  .mb-40 {
    margin-bottom: 20px;
  }
  /* Common Styles End */

  /* Events Banner */
  .events-banner {
    padding: 30px 0 50px 0;
  }
  .banner-wrapper h1 {
    font-size: 32px;
    line-height: 50px;
  }
  .banner-wrapper .sub-title {
    font-size: 18px;
    line-height: 30px;
    margin-bottom: 10px;
  }
  .banner-wrapper .content {
    font-size: 15px;
    line-height: 22px;
    margin-bottom: 12px;
  }
  .banner-wrapper .square-blue-btn {
    padding: 9px 18px;
  }
  /* Events Banner End */

  /* Upcoming Events */
  .upcoming-events-block-image {
    border-radius: 12px 12px 0 0;
  }
  .upcoming-events-block-content {
    padding: 12px;
    border-radius: 0 0 12px 12px;
  }
  /* Upcoming Events End */

  /* Events List */
  .events-box {
    padding: 20px;
    max-height: max-content;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }
  .events-box p.date {
    margin-bottom: 0;
  }
  .past-events-col {
    margin-bottom: 20px;
  }
  .events-box img {
    margin-bottom: 0;
  }
  /* Events List End */
}

@media (max-width: 640px) {
  /* Events Banner */
  .site-content {
    margin-top: 71px;
  }
  /* Events Banner End */
}

@media (max-width: 575px) {
  /* Common Styles */
  .mb-40 {
    margin-bottom: 15px;
  }
  .border-btn {
    font-size: 14px;
    line-height: 22px;
    padding: 8px 26px;
  }
  /* Common Styles End */

  /* Events Banner */
  .events-banner {
    padding: 20px 0 40px 0;
  }
  .banner-wrapper h1 {
    font-size: 28px;
    line-height: 44px;
  }
  .banner-wrapper .sub-title {
    font-size: 16px;
    line-height: 26px;
    margin-bottom: 8px;
  }
  .banner-wrapper .content {
    font-size: 14px;
  }
  /* Events Banner End */

  /* Upcoming Events */
  .upcoming-events-block-content h4 {
    margin-bottom: 12px;
  }
  /* Upcoming Events End */
}

@media (max-width: 480px) {
  /* Events Banner */
  .banner-wrapper h1 {
    font-size: 24px;
    line-height: 30px;
  }
  /* Events Banner End */

  /* Events List End */
  .events-box {
    padding: 16px;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    max-width: 170px;
  }
  .events-box img {
    margin-bottom: 10px;
    max-width: 100px;
    max-height: 50px;
  }
  .events-list-image img {
    height: 200px;
  }
  .events-box p.date {
    margin-bottom: 8px;
  }
  /* Events List End */
}
